package com.hfkj.service;

import com.hfkj.entity.BsMerSettleAcct;
import com.hfkj.entity.BsMerSettleAcctApply;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerSettleAcctApplyService
 * @author: HuRui
 * @date: 2023/5/4
 **/
public interface BsMerSettleAcctApplyService {

    /**
     * 编辑数据
     * @param merSettleAcctApply
     */
    void editData(BsMerSettleAcctApply merSettleAcctApply);

    /**
     * 创建申请
     * @param merSettleAcctApply
     */
    void createApply(BsMerSettleAcctApply merSettleAcctApply);

    /**
     * 渠道申请修改结算
     * @param merSettleAcctApply
     * @return
     */
    BsMerSettleAcctApply applyUpdateSettleAcct(BsMerSettleAcctApply merSettleAcctApply);

    /**
     * 查询商户最新申请
     * @param merId
     * @return
     */
    BsMerSettleAcctApply getLastApplyByMer(Long merId);

    /**
     * 根据id查询申请
     * @param id
     * @return
     */
    BsMerSettleAcctApply getApplyById(Long id);

    /**
     * 根据商户查询结算申请
     * @param merId
     * @return
     */
    List<BsMerSettleAcctApply> getApplyListByMer(Long merId);

    /**
     * 查询申请列表
     * @param param
     * @return
     */
    List<BsMerSettleAcctApply> getApplyList(Map<String, Object> param);

}
